O.oreas-chlorantha-2_opt.jpg=Ophrys oreas chlorantha.\
This chlorantha was found at Profitis Ilias,\
.
O.oreas-chlorantha-3_opt.jpg=Ophrys oreas chlorantha.\
I am not shore if it has ever been recorded before.\

O.oreas-chlorantha_opt.jpg=Ophrys oreas chlorantha.\
Across the road from the T junction Km.47.                                                                             . \
\

